/***********************************************************
  文件名：23_Four-digit keys.ino
  描述：光控led灯，串口打印数据。
  作者：陈志强
  日期：2022.11.3
***********************************************************/
volatile int sensorValue;
volatile int light;

void setup(){
  sensorValue = 0;
  light = 0;
  Serial.begin(9600);
  pinMode(A0, INPUT);
  pinMode(6, OUTPUT);
}

void loop(){
  //环境亮度传感器接A0；led灯模块接D6；
  //当手遮住光敏传感器时，显示数值将变小，led灯变亮；当光线变强时，显示数值将变大，led灯变暗；

  sensorValue = analogRead(A0);
  light = (map(sensorValue, 0, 1010, 255, 0));
  Serial.print("  A0=");
  Serial.print(sensorValue);
  Serial.print("  light=");
  Serial.println(light);
  delay(5);
  analogWrite(6, light);

}
